##### 7.5.20.0. makeWeyl

Procedure from library `nctools.lib` (see nctools_lib).

Usage:
  makeWeyl(n,[p]); n an integer, n>0; p an optional integer (field characteristic)

Return:
  ring

Purpose:
  create the n-th Weyl algebra over the rationals Q or F_p

Note:
  activate this ring with the "setring" command.
  The presentation of an n-th Weyl algebra is classical: D(i)x(i)=x(i)D(i)+1,
  where x(i) correspond to coordinates and D(i) to partial differentiations, i=1,...,n.
  If p is not prime, the next larger prime number will be used.

Example:

    LIB "nctools.lib";
    def a = makeWeyl(3);
    setring a;
    a;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 6
    ==> //        block   1 : ordering dp
    ==> //                  : names    x(1) x(2) x(3) D(1) D(2) D(3)
    ==> //        block   2 : ordering C
    ==> // noncommutative relations:
    ==> //    D(1)x(1)=x(1)*D(1)+1
    ==> //    D(2)x(2)=x(2)*D(2)+1
    ==> //    D(3)x(3)=x(3)*D(3)+1

See also: Weyl.

User manual for Singular version 4.4.1, 2025, generated by texi2html.